Package org.eclipse.net4j.util.lifecycle

# Enum Class ILifecycleEvent.Kind

java.lang.Object
java.lang.Enum<ILifecycleEvent.Kind>
org.eclipse.net4j.util.lifecycle.ILifecycleEvent.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<ILifecycleEvent.Kind>`, `java.lang.constant.Constable`

Enclosing interface:
  `ILifecycleEvent`

public static enum ILifecycleEvent.Kind extends Enum<ILifecycleEvent.Kind>
Enumerates the possible `lifecycle state` changes of an entity.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABOUT_TO_ACTIVATE`
`ABOUT_TO_DEACTIVATE`
`ACTIVATED`
`DEACTIVATED`

## Method Summary

Modifier and Type
Method
Description
`static ILifecycleEvent.Kind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ILifecycleEvent.Kind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ABOUT_TO_ACTIVATE

public static final ILifecycleEvent.Kind ABOUT_TO_ACTIVATE

### ACTIVATED

public static final ILifecycleEvent.Kind ACTIVATED

### ABOUT_TO_DEACTIVATE

public static final ILifecycleEvent.Kind ABOUT_TO_DEACTIVATE

### DEACTIVATED

public static final ILifecycleEvent.Kind DEACTIVATED

## Method Details

### values

public static ILifecycleEvent.Kind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ILifecycleEvent.Kind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null